Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.utils
Class InvalidCursorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.utils.InvalidCursorException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public final class InvalidCursorException
extends weblogic.utils.NestedException

The `InvalidCursorException` exception is thrown when an invalid cursor is passed to a method that expects a cursor.

A cursor is returned from methods used to list objects. You then pass the cursor back to methods that traverse the list. If this exception occurs, verify that this is the same cursor returned from the list method, and that the close method has not been called on this cursor.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`InvalidCursorException(String message)` Constructs a `InvalidCursorException` with the specified detail message.
`InvalidCursorException(String message, Throwable t)` Constructs an `InvalidCursorException` that specifies the detail message and the nested exception.
`InvalidCursorException(Throwable t)` Constructs a `InvalidCursorException` that specifies the nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidCursorException

    public InvalidCursorException(String message)

  Constructs a `InvalidCursorException` with the specified detail message. A detail message is a String that describes this particular exception.

### InvalidCursorException

    public InvalidCursorException(String message,
                                  Throwable t)

  Constructs an `InvalidCursorException` that specifies the detail message and the nested exception. A detail message is a String that describes this particular exception.

### InvalidCursorException

    public InvalidCursorException(Throwable t)

  Constructs a `InvalidCursorException` that specifies the nested exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD